#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0x6d369978, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0xde4e27bc, "_gpl");
SYMBOL_CRC(ahci_ops, 0x4bb33fcf, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x2f85beab, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x7d90c28e, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x8aba27c2, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x14c48ce4, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xbc40a0a7, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x81d4c55b, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xf4600872, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x473dbd0f, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x6694e141, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x2f1686a2, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x684e49a4, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x40d50030, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x78407d43, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xd5581a4c, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x12235719, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x9d713001, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x8e25999b, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x00585359, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x33663e3c, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x624d979a, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x8ae7ce45, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefec6c47, "ata_std_qc_defer" },
	{ 0x4b6e070b, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xaa5ae173, "__dynamic_dev_dbg" },
	{ 0x9e443b47, "ata_port_classify" },
	{ 0x77b3aaa, "ata_qc_complete_multiple" },
	{ 0xc3c287fb, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa12afb3, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xae23ec89, "ata_host_start" },
	{ 0x3c46b665, "devm_request_threaded_irq" },
	{ 0xab8486ab, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf63d3a84, "ata_host_register" },
	{ 0x458216c2, "ata_host_activate" },
	{ 0x2d3b369d, "_dev_warn" },
	{ 0x37a02c3b, "ata_dummy_port_ops" },
	{ 0x4cd27f42, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xe96ca3d3, "devm_kmalloc" },
	{ 0xd674c5ee, "dmam_alloc_attrs" },
	{ 0xeac94ace, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0xd29441c8, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x45b06170, "sata_link_hardreset" },
	{ 0xe9f4ad2c, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7d5590e7, "ata_ehi_clear_desc" },
	{ 0xbadf798f, "ata_ehi_push_desc" },
	{ 0xb7d617ef, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7caf20c1, "ata_port_abort" },
	{ 0xf8f5035d, "sata_lpm_ignore_phy_events" },
	{ 0x18548738, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfe3666e3, "param_ops_int" },
	{ 0x5342500d, "param_ops_bool" },
	{ 0x2226a35c, "sata_pmp_port_ops" },
	{ 0x46e302e2, "dev_attr_sw_activity" },
	{ 0xbbfe9fdf, "dev_attr_unload_heads" },
	{ 0x81f4b7d3, "dev_attr_ncq_prio_supported" },
	{ 0xf754b1be, "dev_attr_ncq_prio_enable" },
	{ 0xa60da5a, "dev_attr_link_power_management_policy" },
	{ 0x2f77766d, "dev_attr_em_message_type" },
	{ 0x760de382, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9eb7bf96, "__pm_runtime_resume" },
	{ 0x3da4d880, "__pm_runtime_idle" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xdbf7237a, "ata_link_next" },
	{ 0xee732d6e, "ata_wait_register" },
	{ 0x8991c93b, "_dev_info" },
	{ 0x115e6ff1, "ata_dev_set_feature" },
	{ 0x69fb2a2e, "sata_link_scr_lpm" },
	{ 0xbf463052, "ata_msleep" },
	{ 0xb205813e, "_dev_err" },
	{ 0xdf54c301, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "5961D94188DD8E84CA115C2");
MODULE_INFO(rhelversion, "9.5");
