#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xf54f8602, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x6b9d31e3, "_gpl");
SYMBOL_CRC(sas_free_task, 0x0cb77187, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xdadd2766, "");
SYMBOL_CRC(sas_resume_ha, 0xa32514a5, "");
SYMBOL_CRC(sas_suspend_ha, 0xb006e976, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x339380c4, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x9969e9e6, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x3be7f392, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xf9120be2, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xee3fc516, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x6e0679cc, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x802cacff, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x0f35d7b2, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x767b1669, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x0ac896c3, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x183d1118, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x9ac545a1, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x2725ff6d, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xe3130c52, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x16dfc6bd, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xec5d637d, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x45583a52, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x00bfca8b, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x41fdf55c, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x98de3655, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xb77734c5, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xa13094bb, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x9e920e8d, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x94ed3b87, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4cc1019, "ata_qc_complete" },
	{ 0xd53a7a9c, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe3d26ea4, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xe49428db, "ata_sas_port_destroy" },
	{ 0x7a1ec7b2, "bsg_job_done" },
	{ 0xfadf5728, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd9971b8a, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x20b937d6, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0x8719628f, "finish_wait" },
	{ 0x1d8a1f4b, "scsi_schedule_eh" },
	{ 0xcd98c81a, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xb875a17, "ata_host_init" },
	{ 0xe0e6f9c3, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e821fc8, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc97f3d4c, "sas_port_get_phy" },
	{ 0x40238358, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xa42068bd, "prepare_to_wait_event" },
	{ 0x6bca4569, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x688747cc, "kmem_cache_create" },
	{ 0xd5877afa, "get_device" },
	{ 0xe9f4ad2c, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xe5bc305a, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3e78ce4, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5bc00409, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x1735589c, "kmem_cache_alloc" },
	{ 0x8991c93b, "_dev_info" },
	{ 0xd1a8ca54, "sas_phy_free" },
	{ 0xe13b9042, "scsi_eh_finish_cmd" },
	{ 0xaab35acd, "ata_noop_qc_prep" },
	{ 0x8e54499e, "ata_sas_port_alloc" },
	{ 0x75b190bc, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0xd481bb9a, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x14a94e3a, "sas_port_mark_backlink" },
	{ 0x465471c0, "kmem_cache_free" },
	{ 0xefec6c47, "ata_std_qc_defer" },
	{ 0xac1cc074, "ata_sas_port_start" },
	{ 0xe5ec825a, "ata_scsi_port_error_handler" },
	{ 0xf1902f82, "ata_change_queue_depth" },
	{ 0x21d38e17, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x571cbbb1, "sas_end_device_alloc" },
	{ 0x5735f85e, "mutex_lock_interruptible" },
	{ 0x1b92a07f, "sas_read_port_mode_page" },
	{ 0x7e845e71, "sas_expander_alloc" },
	{ 0x7ef9055a, "ata_sas_port_stop" },
	{ 0x2d3b369d, "_dev_warn" },
	{ 0x13b1823d, "sas_rphy_delete" },
	{ 0x3aaa1895, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x28ba6301, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe35608b0, "__init_waitqueue_head" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0xeb4fb259, "scsi_host_busy" },
	{ 0x2d3585e9, "ata_sas_async_probe" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0x929692c9, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf771a2c1, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4fd10119, "ata_sas_port_suspend" },
	{ 0xff377d42, "sas_rphy_add" },
	{ 0xaee59712, "sas_port_delete_phy" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x54bff003, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9fd78d6, "sas_port_add_phy" },
	{ 0x55f11359, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xcbce7c8, "ata_sas_slave_configure" },
	{ 0x66a94577, "scsi_unblock_requests" },
	{ 0x87329e1f, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x30bf899, "ata_host_put" },
	{ 0xe06618e9, "sas_port_free" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0xc0757671, "ata_std_sched_eh" },
	{ 0xb03c7f66, "scsi_block_requests" },
	{ 0xbf6ccdfe, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xd66b9874, "__mutex_rt_init" },
	{ 0xd6652401, "sas_remove_children" },
	{ 0x47ba55ba, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8745fbf9, "ata_port_wait_eh" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0x752b79af, "kmem_cache_destroy" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "C24B044A72CA30EF7DF1581");
MODULE_INFO(rhelversion, "9.5");
