#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x4fcc744c, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xfdb7ca4b, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x9ebf9a2b, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x6a0bd245, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0xcc0cf822, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x91d5c38d, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xdf2deeae, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x74763370, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0xe4ac9a4a, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0xe4eda026, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x2e057cb4, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xf7b4e1d5, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x5e145df8, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xe224dde6, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xcba534a9, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x0c448a8a, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xf645e812, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x21d46860, "");
SYMBOL_CRC(vhost_chr_poll, 0x850f2ef7, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x4c7e77d5, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x6516b65f, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x1fe32d12, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x7e2b9dbd, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x3517d594, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x558da697, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xc96a969b, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x38334e07, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x434946f5, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x79f4ee1c, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x380b8719, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x76ed71cb, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xeffb34fb, "_gpl");
SYMBOL_CRC(vhost_signal, 0x9bbb02f0, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xe3cc75ce, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x89910919, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0xe398da36, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x23bdc7a9, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x0059dd9b, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xebccc945, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x9126b461, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xafc8b11a, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x9aa165fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec19bd0d, "add_wait_queue" },
	{ 0xcc9fc623, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xcdb87031, "cgroup_attach_task_all" },
	{ 0xa8e82b05, "mmput" },
	{ 0x949cc27c, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0x6bca4569, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xf21933cc, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xd9978168, "unpin_user_pages_dirty_lock" },
	{ 0xafc5ef91, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7221d64e, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0x70f90737, "kthread_unuse_mm" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x4c61baad, "fput" },
	{ 0x8470b0d1, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x7c58e56f, "iov_iter_init" },
	{ 0xac646d4, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd5dbfd1d, "iov_iter_revert" },
	{ 0xecdcabd2, "copy_user_generic_unrolled" },
	{ 0x1f199d24, "copy_user_generic_string" },
	{ 0x21271fd0, "copy_user_enhanced_fast_string" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xde1110dc, "_copy_to_iter" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0xd66b9874, "__mutex_rt_init" },
	{ 0xe35608b0, "__init_waitqueue_head" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6fffb64c, "prepare_to_wait" },
	{ 0x8719628f, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4cc391c7, "get_task_mm" },
	{ 0xe16e94ae, "kthread_create_on_node" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x1874a5ad, "iov_iter_advance" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbbaa7569, "eventfd_fget" },
	{ 0xfe3666e3, "param_ops_int" },
	{ 0xf6e11bbe, "param_ops_ushort" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.5");
