#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x370dce11, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x5cb2c75a, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x08e18b1d, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xf92d5714, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x9076bc5f, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x0c8d5b65, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x16193ce5, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x7dd44be6, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x4dd5fc48, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xd6e6a129, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xc96d0d0b, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x8914e493, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc270df35, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x3657645b, "init_net" },
	{ 0x33287308, "alloc_netdev_mqs" },
	{ 0x3d623f38, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x36c5a178, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x753d243b, "rtnl_link_unregister" },
	{ 0x7ce57abf, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5f96a4d5, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x2c290e02, "__pskb_pull_tail" },
	{ 0x70f6644f, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xeccb2764, "netdev_state_change" },
	{ 0xccae7e40, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x43ac40bd, "dst_cache_get" },
	{ 0x9176f8e0, "ip6_route_output_flags" },
	{ 0xd6981a19, "xfrm_lookup" },
	{ 0x18386278, "ipv4_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x6f8e82bf, "skb_scrub_packet" },
	{ 0xe75d071e, "skb_realloc_headroom" },
	{ 0x6e7d4d89, "skb_set_owner_w" },
	{ 0x95469155, "consume_skb" },
	{ 0xe9dabb4d, "ipv6_push_frag_opts" },
	{ 0x825bab07, "skb_push" },
	{ 0xb421c52c, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf2e1d8c9, "skb_copy_bits" },
	{ 0x154668bb, "ip6_dst_hoplimit" },
	{ 0x562812c0, "ipv6_dev_get_saddr" },
	{ 0xbbbc6c1, "neigh_destroy" },
	{ 0x64407576, "make_kuid" },
	{ 0xdd3b4085, "ip6_redirect" },
	{ 0xcfe8b761, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb9d22b0e, "iptunnel_handle_offloads" },
	{ 0x6170717e, "icmpv6_ndo_send" },
	{ 0x19b0698d, "icmp_ndo_send" },
	{ 0x748f69f0, "kfree_skb_reason" },
	{ 0x96efbeb2, "skb_clone" },
	{ 0xb33fbb8c, "skb_pull" },
	{ 0xf95f2626, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcae6c56b, "gro_cells_receive" },
	{ 0x99b6e517, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc0a46c3, "__iptunnel_pull_header" },
	{ 0xb81733b3, "metadata_dst_alloc" },
	{ 0xdd913edf, "__xfrm_policy_check" },
	{ 0x4236300f, "ip_route_output_flow" },
	{ 0xb2631715, "ip_route_input_noref" },
	{ 0x2a6fe254, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe368060, "dev_get_tstats64" },
	{ 0x5342500d, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1bbe1673, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x54fd8cff, "ipv6_chk_addr_and_flags" },
	{ 0x9ddafa36, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xda696e63, "register_pernet_device" },
	{ 0x535a719e, "xfrm6_tunnel_register" },
	{ 0xb9e1195c, "rtnl_link_register" },
	{ 0xf7912037, "xfrm6_tunnel_deregister" },
	{ 0xaac28c23, "unregister_pernet_device" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x99a5ff8c, "unregister_netdevice_queue" },
	{ 0xfee49dd4, "rt6_lookup" },
	{ 0xf843b23a, "dst_release" },
	{ 0x21898164, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "BE0736E6F2AB50294927908");
MODULE_INFO(rhelversion, "9.5");
