#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xc71d9639, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x95569242, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x76d6d5da, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xf1745611, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x572b198e, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x6ee964d0, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xa61bf77a, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xe4a0a006, "");
SYMBOL_CRC(ip_vs_conn_put, 0x41954760, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x668ac95d, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xd6d73af1, "");
SYMBOL_CRC(register_ip_vs_app, 0xb04f718d, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xd24d41b0, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x2a81e0fe, "");
SYMBOL_CRC(ip_vs_proto_get, 0x4559a673, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x5c774781, "");
SYMBOL_CRC(register_ip_vs_pe, 0x1de5b8d7, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x675b45ff, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x9deb1031, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc442a9e, "nf_ct_ext_add" },
	{ 0xa5df99cb, "nf_conntrack_find_get" },
	{ 0x464ee625, "try_module_get" },
	{ 0xca6b130d, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe3b5cf7c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xf2e1d8c9, "skb_copy_bits" },
	{ 0xd6981a19, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14029ab2, "proc_dointvec_jiffies" },
	{ 0x57dd3ad5, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x95469155, "consume_skb" },
	{ 0x7ce57abf, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x79c3d315, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe6c260ed, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x4c36a98f, "nf_ct_netns_get" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0x8719628f, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x402ac155, "kernel_bind" },
	{ 0x3605d413, "genlmsg_put" },
	{ 0xc471515e, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbaf11342, "ip6_route_me_harder" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xa42068bd, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x33831261, "__module_get" },
	{ 0x4236300f, "ip_route_output_flow" },
	{ 0x688747cc, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb9d22b0e, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xd24df351, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xa91dab2e, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x399637af, "pskb_expand_head" },
	{ 0xe2330b2a, "register_pernet_subsys" },
	{ 0xf21933cc, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe359860c, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd91481af, "nf_register_net_hooks" },
	{ 0x9176f8e0, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xc4e9a9f5, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1735589c, "kmem_cache_alloc" },
	{ 0x3a5ab619, "ipv6_sock_mc_join" },
	{ 0xefffd898, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x562812c0, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8d1b2016, "__skb_get_hash" },
	{ 0x3657645b, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2720e9f6, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xdc962021, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xe2c80783, "nf_conntrack_alter_reply" },
	{ 0xed300185, "ip_route_me_harder" },
	{ 0x748f69f0, "kfree_skb_reason" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x825bab07, "skb_push" },
	{ 0x465471c0, "kmem_cache_free" },
	{ 0x29180103, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x6cc73d0a, "proc_doulongvec_minmax" },
	{ 0xa40577ca, "nf_ct_expect_alloc" },
	{ 0x823d1257, "skb_ensure_writable" },
	{ 0x598c8f75, "iov_iter_kvec" },
	{ 0x2e3ce4e1, "ip_mc_join_group" },
	{ 0x33c9b1b2, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xccae7e40, "ns_capable" },
	{ 0x91fceb16, "nf_unregister_net_hooks" },
	{ 0xf3edc027, "inet_select_addr" },
	{ 0xaac28c23, "unregister_pernet_device" },
	{ 0x9723ae61, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x430a99b7, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8470b0d1, "kthread_stop" },
	{ 0xe472a0ed, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9298e96a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc0dd51c5, "kernel_connect" },
	{ 0xae3d6d2, "skb_checksum" },
	{ 0x6bb8f83f, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf95f2626, "__icmpv6_send" },
	{ 0x2c290e02, "__pskb_pull_tail" },
	{ 0xd2fb7ded, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x66b16502, "skb_trim" },
	{ 0xefb3c2dc, "nf_hook_slow" },
	{ 0x7b9d7cbf, "mutex_trylock" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe16e94ae, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xcaca7eac, "nf_ct_deliver_cached_events" },
	{ 0xe75d071e, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf8d1ae12, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2a6fe254, "__icmp_send" },
	{ 0x18386278, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0x6e7d4d89, "skb_set_owner_w" },
	{ 0x132d58da, "__skb_checksum" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x2a482868, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xa6944c6f, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6c5a5b84, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x83a5ab99, "seq_printf" },
	{ 0x75a43b2, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x422cbac, "proc_create_net_single" },
	{ 0xfc37835, "ipv4_update_pmtu" },
	{ 0x551b86fd, "nf_defrag_ipv6_enable" },
	{ 0xf843b23a, "dst_release" },
	{ 0x6f81a093, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaa396368, "proc_dointvec" },
	{ 0xe7e43548, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x606ad50d, "unregister_net_sysctl_table" },
	{ 0xdf0b7ae9, "ip_local_out" },
	{ 0x8abb9513, "genl_unregister_family" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x277a491e, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xfe3666e3, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x20860abd, "genl_register_family" },
	{ 0x464ece86, "kernel_sendmsg" },
	{ 0xfab9f0ec, "nf_ct_netns_put" },
	{ 0xda696e63, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd66b9874, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x752b79af, "kmem_cache_destroy" },
	{ 0x20bf5f4c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5cde2507, "proc_dointvec_minmax" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "19A6DAAF650C30AEC160D30");
MODULE_INFO(rhelversion, "9.5");
