#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x5ce23452, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xe810a5a2, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x964f5a76, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x229af1b7, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xc853e945, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xbf096701, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x9f04c4e4, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xd2fb7ded, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xa5df99cb, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x0718cf58, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xaea517b3, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xe472a0ed, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x1089bc79, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xfd6fbea4, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xf60de18b, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xfa337e4a, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xe2c80783, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xfa1ef97f, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xea5c951a, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x6ea98ddb, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x67002fce, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x06d37ce6, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xd361f8b5, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x9e09396c, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xa4e3a370, "_gpl");
SYMBOL_CRC(print_tuple, 0x23157672, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xb7be3f8b, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x4649059d, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xda48953d, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x29ea9034, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x1bc8ad2b, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xf7eb609e, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xdf141ef4, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xa40577ca, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xa6944c6f, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x33c9b1b2, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xdc962021, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x38af1a87, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x24d8dc5b, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xcc36ee36, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x0b932e15, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x57d60c4a, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x241798b1, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x7e1948bf, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xa76d7a99, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xda92d56e, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xefca92b2, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x6650e3e4, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x13e99af7, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x46854dfb, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xc6c70a93, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xc9274ad2, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x97418ee9, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x0af76726, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x25ddadad, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x79a26ed5, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x559b0e7f, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xb61f27a2, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x8ca55542, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x456d128a, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x039fe4c0, "_gpl");
SYMBOL_CRC(nf_confirm, 0x26e6dcc7, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x4c36a98f, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xfab9f0ec, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x13b0d5a1, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x92559cdb, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xcc442a9e, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xc44fb653, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x66fb1076, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x4d6db672, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x92c9a790, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x3d427164, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xc8d1e45d, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xb932272b, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xed4a4cd8, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x826860fd, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x320511dd, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xa885c61c, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xcaca7eac, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xac087e2b, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x58c4b168, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x4fe2abee, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xb2b7e8e9, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x01626b2f, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xbd6e8fde, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xd962b600, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xc693628b, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x148e306e, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xb15400f2, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x37558d77, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x3108db82, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6413cc27, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x464ee625, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xceb70b73, "nf_defrag_ipv4_disable" },
	{ 0xf37af590, "nf_ip6_checksum" },
	{ 0x9de948a9, "proc_dou8vec_minmax" },
	{ 0xf2e1d8c9, "skb_copy_bits" },
	{ 0x2730b62d, "param_ops_uint" },
	{ 0x14029ab2, "proc_dointvec_jiffies" },
	{ 0x57dd3ad5, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe6c260ed, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0xc3a9e5cc, "nfct_btf_struct_access" },
	{ 0x3d607541, "param_set_uint" },
	{ 0x218cc239, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7132ac4c, "nf_ct_frag6_gather" },
	{ 0x4fda880e, "get_net_ns_by_id" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x688747cc, "kmem_cache_create" },
	{ 0x9bc5978a, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa91dab2e, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xe2330b2a, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xe359860c, "nf_unregister_sockopt" },
	{ 0xfeb2a9b8, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x64407576, "make_kuid" },
	{ 0x6f77a185, "nf_defrag_ipv6_disable" },
	{ 0xe1fe77ac, "ipv6_skip_exthdr" },
	{ 0xd91481af, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x1735589c, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xefffd898, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x84d69b16, "nf_checksum" },
	{ 0x7896b069, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3657645b, "init_net" },
	{ 0xcaefeec5, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x748f69f0, "kfree_skb_reason" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x465471c0, "kmem_cache_free" },
	{ 0x29180103, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xc893939, "nf_checksum_partial" },
	{ 0x823d1257, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x91fceb16, "nf_unregister_net_hooks" },
	{ 0x9723ae61, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x9298e96a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x6bb8f83f, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x66fe6262, "nf_log_packet" },
	{ 0x21a05e0d, "make_kgid" },
	{ 0xdecbe187, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0x8b755b81, "register_btf_kfunc_id_set" },
	{ 0x63b53f77, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa93666f, "down_read" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xeea2f4ff, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x132d58da, "__skb_checksum" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x96ce90c3, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5342500d, "param_ops_bool" },
	{ 0x4d0c66b3, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6c5a5b84, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83a5ab99, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x551b86fd, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xaa396368, "proc_dointvec" },
	{ 0xe7e43548, "seq_puts" },
	{ 0xf80f10a3, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x606ad50d, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xd5b8f936, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x8d336db0, "pskb_trim_rcsum_slow" },
	{ 0xe5a442b5, "up_read" },
	{ 0x5dd9706d, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x752b79af, "kmem_cache_destroy" },
	{ 0x20bf5f4c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "9C74D52585A1DDF3D13F146");
MODULE_INFO(rhelversion, "9.5");
