#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x0103a734, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xe95c6eba, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x5a551f26, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x60163213, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x144fa2d6, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x7fb7930f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc442a9e, "nf_ct_ext_add" },
	{ 0xa5e53ba9, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6fb25eb2, "nsh_pop" },
	{ 0xa5df99cb, "nf_conntrack_find_get" },
	{ 0xed4a4cd8, "nf_ct_set_timeout" },
	{ 0xafd9cf05, "dev_get_stats" },
	{ 0x9321151, "__nla_put" },
	{ 0x464ee625, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0330b95, "dev_fill_metadata_dst" },
	{ 0x39f44e57, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xb15400f2, "nf_ct_handle_fragments" },
	{ 0x296d429c, "eth_mac_addr" },
	{ 0xc373fa93, "skb_put" },
	{ 0x1eb2a522, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcb52cbfa, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x95469155, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5f7b28, "nf_ct_nat" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xccae8a2c, "skb_eth_pop" },
	{ 0x167a1068, "trace_raw_output_prep" },
	{ 0xd4b5f6ed, "skb_gso_validate_mac_len" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xa76d7a99, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xd962b600, "nf_ct_helper" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0xd1cc96ab, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbc8b4588, "trace_event_printf" },
	{ 0x74da46ec, "rtnl_delete_link" },
	{ 0xb9e1195c, "rtnl_link_register" },
	{ 0xbd6e8fde, "nf_connlabels_put" },
	{ 0x3605d413, "genlmsg_put" },
	{ 0x1e619a30, "___pskb_trim" },
	{ 0xcdd48a41, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd11183ee, "dev_set_promiscuity" },
	{ 0x826860fd, "nf_ct_destroy_timeout" },
	{ 0xc693628b, "nf_ct_add_helper" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x57d60c4a, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x22d193a3, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x148e306e, "nf_ct_skb_network_trim" },
	{ 0x59300f86, "event_triggers_call" },
	{ 0x99a5ff8c, "unregister_netdevice_queue" },
	{ 0x688747cc, "kmem_cache_create" },
	{ 0x1d2030b4, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0xb5ea30d9, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd8966c75, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x399637af, "pskb_expand_head" },
	{ 0xf36a1628, "skb_csum_hwoffload_help" },
	{ 0x8414a7c2, "trace_event_buffer_commit" },
	{ 0xb2b7e8e9, "nf_connlabels_replace" },
	{ 0x99b6e517, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33287308, "alloc_netdev_mqs" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1626b2f, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x5a6518b2, "netdev_rx_handler_unregister" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xca660072, "trace_event_ignore_this_pid" },
	{ 0x4bdc5e69, "skb_eth_push" },
	{ 0xec5f6266, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xc4e9a9f5, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1735589c, "kmem_cache_alloc" },
	{ 0xbc8352df, "skb_mpls_pop" },
	{ 0x88371666, "skb_vlan_pop" },
	{ 0xcf684a41, "dst_init" },
	{ 0xefffd898, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x753d243b, "rtnl_link_unregister" },
	{ 0x3112663, "perf_trace_run_bpf_submit" },
	{ 0x8d1b2016, "__skb_get_hash" },
	{ 0x3657645b, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x994480cd, "ipv6_stub" },
	{ 0x4324f727, "skb_mpls_update_lse" },
	{ 0xb33fbb8c, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2720e9f6, "netlink_unicast" },
	{  0x19db3, "bpf_trace_run5" },
	{ 0x9ddafa36, "dev_get_by_index_rcu" },
	{ 0x748f69f0, "kfree_skb_reason" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x825bab07, "skb_push" },
	{ 0x465471c0, "kmem_cache_free" },
	{ 0x71d0a8a0, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xdecdaa9d, "trace_event_reg" },
	{ 0x823d1257, "skb_ensure_writable" },
	{ 0x36c5a178, "free_netdev" },
	{ 0x130dac78, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xaac28c23, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x57561852, "ethtool_op_get_link" },
	{ 0xe472a0ed, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x241798b1, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2c290e02, "__pskb_pull_tail" },
	{ 0xd2fb7ded, "nf_ct_delete" },
	{ 0x972d8c76, "nf_conncount_init" },
	{ 0xb76758ea, "skb_vlan_push" },
	{ 0xfe368060, "dev_get_tstats64" },
	{ 0x9d229055, "netif_rx" },
	{ 0xc8c7eb9e, "__netdev_alloc_skb" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0x3f39878e, "netdev_master_upper_dev_link" },
	{ 0x2c43bf8b, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa93666f, "down_read" },
	{ 0x11cac674, "inet_proto_csum_replace16" },
	{ 0x66b16502, "skb_trim" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6f8e82bf, "skb_scrub_packet" },
	{ 0xcaca7eac, "nf_ct_deliver_cached_events" },
	{ 0xf8d1ae12, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x58c09694, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x654f390f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb35fe669, "trace_event_buffer_reserve" },
	{ 0x132d58da, "__skb_checksum" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4d0c66b3, "inet_proto_csum_replace4" },
	{ 0x873ddd28, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x13edc6c, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x696a1450, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xcd085ab3, "dev_get_by_name" },
	{ 0x96efbeb2, "skb_clone" },
	{ 0xb81733b3, "metadata_dst_alloc" },
	{ 0xf843b23a, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x75503a70, "peernet2id_alloc" },
	{ 0x229af1b7, "nf_ct_get_tuplepr" },
	{ 0x51bd1a92, "netdev_rx_handler_register" },
	{ 0xf7168cd8, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8abb9513, "genl_unregister_family" },
	{ 0x596e8b83, "dev_disable_lro" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x84fba7aa, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x20860abd, "genl_register_family" },
	{ 0x9f04c4e4, "nf_ct_tmpl_free" },
	{ 0x68309c99, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x332c9278, "__skb_gso_segment" },
	{ 0xe5a442b5, "up_read" },
	{ 0x525388a6, "skb_mpls_push" },
	{ 0xda696e63, "register_pernet_device" },
	{ 0xfa337e4a, "nf_conntrack_in" },
	{ 0x5dd9706d, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0x6ef912c5, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x752b79af, "kmem_cache_destroy" },
	{ 0x68bc5b45, "__skb_vlan_pop" },
	{ 0xbf096701, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x70f6644f, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount");


MODULE_INFO(srcversion, "BC3389795D4C16148DE6676");
MODULE_INFO(rhelversion, "9.5");
