#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xefded86d, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x27a880f4, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x59315ab4, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x798c06ee, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xa0c33a11, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xe252b68f, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xd679396a, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x159c42de, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x7b8b8272, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0xa6e2b98c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd707e66f, "snd_soc_dapm_put_enum_double" },
	{ 0xc12d1f01, "regcache_cache_only" },
	{ 0xdaf8abb3, "regcache_sync" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1ab01079, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x121ece20, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0x5a44f285, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x372c51ae, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5feea99b, "devm_gpiod_get_optional" },
	{ 0xaa5ae173, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b6e0f37, "__pm_runtime_set_status" },
	{ 0xe92295c5, "devm_snd_soc_register_component" },
	{ 0x853f6cc4, "devm_kstrdup" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x34a40f65, "sdw_write_no_pm" },
	{ 0xd7b23392, "devm_free_irq" },
	{ 0x9f25fbae, "pm_runtime_enable" },
	{ 0x8991c93b, "_dev_info" },
	{ 0xe919e378, "snd_soc_info_volsw" },
	{ 0xbaae177d, "cs35l56_init_cs_dsp" },
	{ 0xd16a3702, "wm_adsp_power_down" },
	{ 0xb205813e, "_dev_err" },
	{ 0xe527a85e, "debugfs_create_bool" },
	{ 0xf9f438a6, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x27d1fa40, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x9f94410c, "cs35l56_runtime_suspend_common" },
	{ 0x4cd9e419, "sdw_read_no_pm" },
	{ 0xd96ccac9, "cs35l56_mbox_send" },
	{ 0x6e5a8189, "cs35l56_hw_init" },
	{ 0xa3783be3, "wm_adsp2_component_probe" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85818bcb, "cs35l56_system_reset" },
	{ 0x8f0b9bab, "snd_soc_info_enum_double" },
	{ 0x6c9b594b, "cs35l56_wait_for_firmware_boot" },
	{ 0x8eea9fb5, "devm_kasprintf" },
	{ 0x7a4b7ad8, "snd_soc_get_volsw" },
	{ 0x75d5aca9, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xf376dd8b, "cs35l56_is_fw_reload_needed" },
	{ 0x70ee5ad9, "regmap_read" },
	{ 0xc31ac899, "snd_soc_put_volsw" },
	{ 0x9eb7bf96, "__pm_runtime_resume" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0x62bcea04, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8d5aaf6, "sdw_stream_remove_slave" },
	{ 0xdfc0deda, "cs35l56_runtime_resume_common" },
	{ 0x3d3c02b0, "dapm_regulator_event" },
	{ 0xc6c94f91, "regmap_update_bits_base" },
	{ 0xafb5e283, "dev_err_probe" },
	{ 0xd408128d, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0xb9fabd77, "snd_soc_dapm_get_enum_double" },
	{ 0xf575f1f6, "__pm_runtime_use_autosuspend" },
	{ 0x601262c9, "wm_halo_init" },
	{ 0x58ae510d, "__pm_runtime_disable" },
	{ 0xaf8d1b7c, "cs35l56_firmware_shutdown" },
	{ 0x8bdbdc1d, "sdw_stream_add_slave" },
	{ 0x84e59369, "pm_runtime_force_suspend" },
	{ 0xd66b9874, "__mutex_rt_init" },
	{ 0xb8b83c3f, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,soundwire-bus,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "976B040E8AE04037B131E8D");
MODULE_INFO(rhelversion, "9.5");
