#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x6cf91c8f, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xdb1fce2d, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xb655f2ca, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0xf5e08ff4, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xf85154f6, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x0b36cbc0, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x215addda, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x44e2386a, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xd531c085, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xb81b90ee, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x8f678624, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xa056c0fc, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x1c192452, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xba83541b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xb2df068c, "device_property_present" },
	{ 0xc12d1f01, "regcache_cache_only" },
	{ 0xdaf8abb3, "regcache_sync" },
	{ 0x1ab01079, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfed71c60, "snd_soc_jack_report" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0x5a44f285, "gpiod_set_value_cansleep" },
	{ 0x7d7a74c4, "snd_pcm_hw_constraint_minmax" },
	{ 0x5b9dafa1, "regcache_sync_region" },
	{ 0xfc17820e, "snd_soc_put_enum_double" },
	{ 0x372c51ae, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5feea99b, "devm_gpiod_get_optional" },
	{ 0xaa5ae173, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe92295c5, "devm_snd_soc_register_component" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xb736e99b, "device_property_read_u32_array" },
	{ 0xeb2aadeb, "snd_soc_get_enum_double" },
	{ 0x8991c93b, "_dev_info" },
	{ 0xe919e378, "snd_soc_info_volsw" },
	{ 0x74120fd7, "regcache_drop_region" },
	{ 0xb205813e, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x2d3b369d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f0b9bab, "snd_soc_info_enum_double" },
	{ 0x7a4b7ad8, "snd_soc_get_volsw" },
	{ 0x70ee5ad9, "regmap_read" },
	{ 0xc31ac899, "snd_soc_put_volsw" },
	{ 0x3491e48f, "snd_soc_component_update_bits" },
	{ 0x9eb7bf96, "__pm_runtime_resume" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x686d4d4a, "regmap_bulk_read" },
	{ 0xc6c94f91, "regmap_update_bits_base" },
	{ 0xafb5e283, "dev_err_probe" },
	{ 0xfe547e04, "regmap_multi_reg_write" },
	{ 0xd408128d, "__pm_runtime_suspend" },
	{ 0xd66b9874, "__mutex_rt_init" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "765AB33E9904D3A6837FDFE");
MODULE_INFO(rhelversion, "9.5");
