#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xf8db28bc, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xadf23f13, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xa7039f40, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xe58c5b39, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xb82fb94f, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x18ef422b, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0xe4627f13, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xb184d4c8, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x1632097d, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x9aeb8e2a, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x8e8c768e, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x8f2dbdb0, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xdeda6608, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xb7dcc94d, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xb0e686e6, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x1561a0d2, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xc93a7172, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xf052b443, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x5d34598a, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x1f17adbb, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x03c782c3, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x17e2b122, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xb3855c75, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x70ff1197, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x476fb5ed, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x6f0aefd0, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xd431f684, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x8f46e26c, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x3999f92d, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x432b349d, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x52a3d6e3, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xafa67b16, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x4bf9641b, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x246726a5, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xf92d2abb, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x60fd6586, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xb68e87a4, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x5bd3ca71, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x0368ca47, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x9e700b65, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x25f8c8d1, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xcbe076a2, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x49562bb6, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x0260e397, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x8bb95221, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x1a386753, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xc1e4e051, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xaa3d3fd8, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x54bf763c, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x98d535a9, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x4971d512, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x7aa2a567, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x313c91dc, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xda78fec3, "_gpl");
SYMBOL_CRC(cxl_memdev_setup_fw_upload, 0x26320dda, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x661f8140, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xecfd7dd4, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x7079762f, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xf1e8e5c8, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xacf52f31, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xe14cbf27, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xd127ebd0, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xcbcd09e1, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x9f089fda, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x1fde829e, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xd7d55eb8, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xb9d95e82, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x16d273e8, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x3fd8b151, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xf2a57265, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xf1071385, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xafb0adb2, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x7d6e4ac8, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xb3cd0093, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x3bb987b0, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xde761fd9, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x10705478, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x5c80bacc, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x5f96bf5e, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x8d8d3ae8, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x24615216, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xbf1c9d9d, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xebbca7f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9337ae44, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x39f44e57, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe96ca3d3, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6d00f31d, "dev_set_name" },
	{ 0xf6e11bbe, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x167a1068, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x41f2661, "cdev_device_del" },
	{ 0x8411ebf7, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x5d28f634, "device_unregister" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbc8b4588, "trace_event_printf" },
	{ 0xba08a6c7, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x426684fa, "device_initialize" },
	{ 0xcdd48a41, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6d31313c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfe2d1b24, "bpf_trace_run2" },
	{ 0x59300f86, "event_triggers_call" },
	{ 0x7c0e2643, "devm_remove_action" },
	{ 0xd5877afa, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xaa5ae173, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeac94ace, "dev_driver_string" },
	{ 0x8414a7c2, "trace_event_buffer_commit" },
	{ 0x9ea3c089, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x938e1df6, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x4b843851, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xe3e78ce4, "put_device" },
	{ 0xca660072, "trace_event_ignore_this_pid" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd45e3fc6, "bus_for_each_dev" },
	{ 0x996d49bd, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa9c4d690, "compat_ptr_ioctl" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x3112663, "perf_trace_run_bpf_submit" },
	{ 0x87256ac4, "sysfs_update_group" },
	{ 0xc69f2e6a, "bus_unregister" },
	{ 0x51216449, "down_write" },
	{ 0xd29441c8, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xb205813e, "_dev_err" },
	{ 0x37c868a7, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xe527a85e, "debugfs_create_bool" },
	{ 0x2ba980aa, "bus_find_device" },
	{ 0xe5a35693, "device_add" },
	{ 0xcb32bb9d, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x833d543f, "xa_load" },
	{ 0xf4e86fb5, "noop_llseek" },
	{ 0x74fda5db, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x6661c929, "kernfs_find_and_get_ns" },
	{ 0x1abacd5e, "debugfs_remove" },
	{ 0xf69fd467, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xdecdaa9d, "trace_event_reg" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x4d7a8ed6, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc0bfb1c2, "device_find_child" },
	{ 0x5735f85e, "mutex_lock_interruptible" },
	{ 0xfd98cc72, "devm_release_action" },
	{ 0xd736e931, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x4db12973, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x2d3b369d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcde419d5, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa93666f, "down_read" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0x52b3a0d7, "__xa_insert" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0x8a01fe3c, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7f743dcc, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb35fe669, "trace_event_buffer_reserve" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0xedc8bfc1, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4f4ae627, "xa_destroy" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0x7c88ebfd, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x62c704f9, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83a5ab99, "seq_printf" },
	{ 0x91b739d0, "device_match_name" },
	{ 0xcc242d01, "pci_walk_bus" },
	{ 0xafb5e283, "dev_err_probe" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0x55484ec, "__devm_add_action" },
	{ 0xf6425f83, "pci_find_dvsec_capability" },
	{ 0x6f0fd45e, "device_find_child_by_name" },
	{ 0xce1cfdaf, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe9e27df1, "pci_write_config_word" },
	{ 0x3d8053c, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe5a442b5, "up_read" },
	{ 0x5dd06944, "driver_register" },
	{ 0xd66b9874, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x74f0b1a0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7db7600, "pci_bus_type" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xe54a766, "bus_register" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9EC981558F03B419F872468");
MODULE_INFO(rhelversion, "9.5");
