#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x1c650065, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xf9a164ec, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xa160f89d, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x8c2143e2, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x67749247, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xf9098935, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x6cf48547, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xa685f7f2, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x1963579e, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x37530077, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x8448b630, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x24117e23, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x44714d19, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x088238e8, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x1ed461bf, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x9c502cfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x8096b60b, "vmf_insert_pfn" },
	{ 0x266e3996, "ww_mutex_lock_interruptible" },
	{ 0xcdd19985, "drm_gem_get_pages" },
	{ 0x34c6e24e, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc6f59b96, "invalidate_mapping_pages" },
	{ 0xae138bff, "ww_mutex_unlock" },
	{ 0x283a828a, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xe3fbc69b, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x47bde64a, "drm_gem_create_mmap_offset" },
	{ 0x7144187f, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeac94ace, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x767ff2a4, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5b73d812, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc647ca2a, "drm_gem_vm_close" },
	{ 0x40c46d37, "drm_gem_vm_open" },
	{ 0x80ab2718, "drm_gem_object_release" },
	{ 0xe230a8c6, "ww_mutex_lock" },
	{ 0xb629517, "vmap" },
	{ 0xbcdc6e6a, "drm_gem_handle_create" },
	{ 0x3391d04f, "__drm_dev_dbg" },
	{ 0x3048557d, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd85fa49b, "dma_buf_vunmap" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2164809f, "shmem_truncate_range" },
	{ 0x6303b242, "set_pages_array_wc" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x50aa8ba4, "dma_map_sgtable" },
	{ 0x94a3895f, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x10236c80, "dma_unmap_sg_attrs" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0x4814b204, "drm_gem_put_pages" },
	{ 0x4ec26017, "drm_gem_private_object_fini" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0xe3c9afa7, "drm_prime_gem_destroy" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "7B036E953BCF9591D0D5063");
MODULE_INFO(rhelversion, "9.5");
