#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0xa3975dae, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x3a281c91, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0xcadc51fc, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0xa1013096, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x940fe574, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x8ba3d36a, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x9db9ef6d, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x3379d284, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x1745eb79, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0xc472af5b, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xfc98ad88, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xc2d29f82, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x1826eb36, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x5b142160, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0xa6072fc4, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0xabe7dd28, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x83c133c3, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x3628c776, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x75d33628, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xec8a4761, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x698f6c4b, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x47c043c3, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x108461ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafc5ef91, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x185d46d5, "clear_user_rep_good" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x69a175d, "__init_rwsem" },
	{ 0xcd530d5c, "misc_deregister" },
	{ 0x5074f89, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd6f329e2, "iommu_group_get" },
	{ 0xd122abb9, "pin_user_pages_remote" },
	{ 0x2eeba1ab, "iommu_iova_to_phys" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0x8719628f, "finish_wait" },
	{ 0x948b4a92, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x1a79f7ee, "fget" },
	{ 0x90e3d070, "__put_task_struct" },
	{ 0xa4051e31, "__xas_next" },
	{ 0xe58d81e0, "xas_find" },
	{ 0x9cba0ed9, "unpin_user_pages" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x30fa3d58, "unpin_user_page_range_dirty_lock" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0xd78a506e, "__account_locked_vm" },
	{ 0xa42068bd, "prepare_to_wait_event" },
	{ 0xfa678bab, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x6bca4569, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x3ef42df, "__tracepoint_mmap_lock_released" },
	{ 0x3108fe8c, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x7221d64e, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xab0cd51f, "iommu_detach_group" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0e52e56, "clear_user_original" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x72dfca05, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x4c61baad, "fput" },
	{ 0x51216449, "down_write" },
	{ 0xbe208a0d, "iommu_domain_free" },
	{ 0x37c868a7, "up_write" },
	{ 0x96db02cc, "iommu_get_msi_cookie" },
	{ 0xfc2e208d, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x633d3ce8, "iommu_domain_alloc" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x71ba4f03, "iommu_unmap" },
	{ 0x833d543f, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x2f34e0f5, "xas_load" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xbecab81f, "clear_user_erms" },
	{ 0xa1a1020c, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0x2d3b369d, "_dev_warn" },
	{ 0x1e427d47, "misc_register" },
	{ 0x58dc485e, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe35608b0, "__init_waitqueue_head" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0xa329b277, "iommu_put_resv_regions" },
	{ 0xa93666f, "down_read" },
	{ 0x949cc27c, "__mmdrop" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0x88175420, "__xa_cmpxchg" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0xcc0dfb07, "__mmap_lock_do_trace_start_locking" },
	{ 0xaa3fea36, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa8e82b05, "mmput" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0x5342500d, "param_ops_bool" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0x5264ccad, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3ddbc1c2, "__mmap_lock_do_trace_released" },
	{ 0x1bc585cf, "xa_store" },
	{ 0xdb359387, "set_page_dirty_lock" },
	{ 0x13285b01, "device_iommu_capable" },
	{ 0x1f15fe65, "xas_nomem" },
	{ 0xd89286a4, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x70f90737, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xd14c4e97, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0xe5a442b5, "up_read" },
	{ 0xd66b9874, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E0DD3087994E52BC675A3A");
MODULE_INFO(rhelversion, "9.5");
