#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x147a8783, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x00c11922, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x42d798d1, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x69d0d9b2, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x3af7518d, "_gpl");
SYMBOL_CRC(br_forward, 0xe490c467, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xa4fa519b, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xdc84c8f0, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x9cc36533, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xe8dd6166, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xa657e4a2, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x837b3bed, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x5830d641, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xb2d1157a, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x4ddd3083, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x6d244cce, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xc753267d, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x51870e3c, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x44db75dc, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x18370bc2, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xb21d261b, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x32c5e2a7, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xd159342f, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x9ad2bce8, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xb8d316bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd362f853, "netdev_lower_get_next" },
	{ 0x4d073003, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc18100d7, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf2e1d8c9, "skb_copy_bits" },
	{ 0x6f44aa02, "__nlmsg_put" },
	{ 0xc24304c8, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x82781e55, "ipv6_mc_check_mld" },
	{ 0xc373fa93, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf70a3007, "call_switchdev_notifiers" },
	{ 0xdd8653f4, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x70df840d, "netdev_update_features" },
	{ 0x95469155, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xd9ceaea6, "dev_uc_del" },
	{ 0xb9e1195c, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x5b647e6f, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8e2555b4, "switchdev_port_obj_act_is_deferred" },
	{ 0x449e549d, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xd11183ee, "dev_set_promiscuity" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x90294814, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x99a5ff8c, "unregister_netdevice_queue" },
	{ 0x688747cc, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xeccb2764, "netdev_state_change" },
	{ 0xd24df351, "__dev_get_by_name" },
	{ 0xb5ea30d9, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5f1bbb15, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x399637af, "pskb_expand_head" },
	{ 0xe2330b2a, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x872ccd25, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x8b2e38d6, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33287308, "alloc_netdev_mqs" },
	{ 0x934aca5c, "passthru_features_check" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5a6518b2, "netdev_rx_handler_unregister" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x753b236c, "__SCK__tp_func_br_mdb_full" },
	{ 0x21709b0e, "rtnl_af_register" },
	{ 0x4bea9ce7, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xc4e9a9f5, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1735589c, "kmem_cache_alloc" },
	{ 0x49bf7710, "rtnl_set_sk_err" },
	{ 0x88371666, "skb_vlan_pop" },
	{ 0x9fc281ba, "rtnl_unicast" },
	{ 0x996d49bd, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x562812c0, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3caf8e80, "nla_reserve_64bit" },
	{ 0x6e2b1c6f, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x21898164, "__dev_get_by_index" },
	{ 0x753d243b, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xf3e15a43, "dev_get_port_parent_id" },
	{ 0x3657645b, "init_net" },
	{ 0x994480cd, "ipv6_stub" },
	{ 0xa012048e, "inet_confirm_addr" },
	{ 0xb33fbb8c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xcb32bb9d, "sysfs_remove_link" },
	{ 0x945bd231, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3400eadf, "__SCK__tp_func_br_fdb_add" },
	{ 0x8fb973fd, "rtnl_af_unregister" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2c85558e, "arp_send" },
	{ 0x9ddafa36, "dev_get_by_index_rcu" },
	{ 0x748f69f0, "kfree_skb_reason" },
	{ 0x8bc8ba38, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x825bab07, "skb_push" },
	{ 0x465471c0, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1ab5be51, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x71d0a8a0, "netdev_upper_dev_unlink" },
	{ 0x9c20c09b, "netif_receive_skb" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2973bdc8, "llc_mac_hdr_init" },
	{ 0x36c5a178, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x9a4ef0a9, "__SCK__tp_func_fdb_delete" },
	{ 0xd69d3821, "kobject_init_and_add" },
	{ 0x130dac78, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xccae7e40, "ns_capable" },
	{ 0xf3edc027, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3a7bf7b0, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x57561852, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x585e13c6, "arp_create" },
	{ 0xb795605d, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x764e8b5a, "stp_proto_register" },
	{ 0x8d66e39d, "rtnl_register_module" },
	{ 0x6ced9af, "__tracepoint_br_fdb_update" },
	{ 0x12cd7a2b, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9298e96a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2aa29cef, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4760dd74, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2c290e02, "__pskb_pull_tail" },
	{ 0xfe368060, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x9d229055, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9813a33, "ip_mc_check_igmp" },
	{ 0xc8c7eb9e, "__netdev_alloc_skb" },
	{ 0xad4c8341, "rhashtable_destroy" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0xdd24a58d, "switchdev_port_obj_del" },
	{ 0x3f39878e, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0x66b16502, "skb_trim" },
	{ 0xefb3c2dc, "nf_hook_slow" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x59a1b864, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x539160a4, "__ip_mc_inc_group" },
	{ 0x95c56769, "netdev_walk_all_upper_dev_rcu" },
	{ 0xbe4f5ec1, "sysfs_remove_group" },
	{ 0xac2c2875, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x10455ce4, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2586a04e, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x654f390f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8f63f1e9, "vlan_vid_add" },
	{ 0xbbbc6c1, "neigh_destroy" },
	{ 0xd8e299f5, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x652b030b, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x856708e3, "__SCK__tp_func_br_fdb_update" },
	{ 0xd7fa64f9, "call_netdevice_notifiers" },
	{ 0x708b5234, "is_skb_forwardable" },
	{ 0x9e499777, "vlan_vid_del" },
	{ 0xc9632b26, "dev_set_allmulti" },
	{ 0xf711b4b9, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x696a1450, "netdev_master_upper_dev_get" },
	{ 0xbc736649, "ipv6_dev_mc_inc" },
	{ 0x5429dc6a, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15fc48f1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x938e1f23, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x7e611ba3, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x96efbeb2, "skb_clone" },
	{ 0x29cf496e, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xb81733b3, "metadata_dst_alloc" },
	{ 0xf843b23a, "dst_release" },
	{ 0xffa7b851, "netif_carrier_on" },
	{ 0xc21a4b3e, "kobject_uevent" },
	{ 0x2f04dbd1, "arp_tbl" },
	{ 0x99a2619c, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x51bd1a92, "netdev_rx_handler_register" },
	{ 0xa6d06e7a, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xca767141, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x596e8b83, "dev_disable_lro" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0xe0149354, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xcd46a9e4, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x84fba7aa, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xbfab5226, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xeda4a437, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x1de9bb4d, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xe4c9eedc, "skb_ext_add" },
	{ 0xa3d82ca1, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xee394393, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0xcc68dc30, "neigh_lookup" },
	{ 0x752b79af, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0x70f6644f, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "B344DADC72C936AA2FEA6C7");
MODULE_INFO(rhelversion, "9.5");
