#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xd19cd71a, "");
SYMBOL_CRC(wpan_phy_for_each, 0xef579ee7, "");
SYMBOL_CRC(wpan_phy_new, 0x4ff02f82, "");
SYMBOL_CRC(wpan_phy_register, 0x76c7cc15, "");
SYMBOL_CRC(wpan_phy_unregister, 0x825fbed5, "");
SYMBOL_CRC(wpan_phy_free, 0xd82f9f19, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xa2e44ff4, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xd7823238, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x614be904, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xa557afbb, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x39f44e57, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6d00f31d, "dev_set_name" },
	{ 0xae8a3e37, "trace_output_call" },
	{ 0x167a1068, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x8719628f, "finish_wait" },
	{ 0xbc8b4588, "trace_event_printf" },
	{ 0x426684fa, "device_initialize" },
	{ 0x3605d413, "genlmsg_put" },
	{ 0xcdd48a41, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xfe2d1b24, "bpf_trace_run2" },
	{ 0xa42068bd, "prepare_to_wait_event" },
	{ 0x59300f86, "event_triggers_call" },
	{ 0x6bca4569, "__wake_up" },
	{ 0xd5877afa, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd8966c75, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf05d7df9, "device_rename" },
	{ 0x8414a7c2, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3e78ce4, "put_device" },
	{ 0xca660072, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc4e9a9f5, "__alloc_skb" },
	{ 0xc29e727f, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x21898164, "__dev_get_by_index" },
	{ 0x3112663, "perf_trace_run_bpf_submit" },
	{ 0x3657645b, "init_net" },
	{ 0xb33fbb8c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe5a35693, "device_add" },
	{ 0x2720e9f6, "netlink_unicast" },
	{ 0xe18bbb91, "dev_get_by_index" },
	{ 0x748f69f0, "kfree_skb_reason" },
	{ 0x825bab07, "skb_push" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xdecdaa9d, "trace_event_reg" },
	{ 0x6c61abf3, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xaac28c23, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf4d67b44, "bpf_trace_run1" },
	{ 0xd736e931, "device_del" },
	{ 0xaf815ba2, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe35608b0, "__init_waitqueue_head" },
	{ 0x2c290e02, "__pskb_pull_tail" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0x66b16502, "skb_trim" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8a01fe3c, "bpf_trace_run3" },
	{ 0xeea2f4ff, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe4578a06, "get_net_ns_by_pid" },
	{ 0xb35fe669, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x91b739d0, "device_match_name" },
	{ 0xcd085ab3, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8abb9513, "genl_unregister_family" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x20860abd, "genl_register_family" },
	{ 0x7a884725, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xda696e63, "register_pernet_device" },
	{ 0x3281c6ee, "get_net_ns_by_fd" },
	{ 0x244794fd, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0xc1b25735, "class_find_device" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "06F4B01C168E0ABE701EE96");
MODULE_INFO(rhelversion, "9.5");
