#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xee823f66, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x45da57c0, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x65a986e9, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x322c7512, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x3dd0dd19, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x13119aec, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xba9e71c2, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x38b36f4e, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x72fec941, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x57c358b5, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xad0a5bf4, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x04ef6304, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x2fee2802, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x35c1c16d, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xc79d2198, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xa9cb0ffc, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x20e7ef2a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xb738b25b, "flow_rule_alloc" },
	{ 0x69a175d, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2de9b155, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x79c3d315, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x37d99512, "neigh_xmit" },
	{ 0xbeef086e, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x90294814, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8cb49c26, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xa91dab2e, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x399637af, "pskb_expand_head" },
	{ 0xe2330b2a, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x51216449, "down_write" },
	{ 0x37c868a7, "up_write" },
	{ 0xb33fbb8c, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe18bbb91, "dev_get_by_index" },
	{ 0x9ddafa36, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0x82a0b57a, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe50c164a, "flow_indr_dev_setup_offload" },
	{ 0xee1addee, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9298e96a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2aa29cef, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2c290e02, "__pskb_pull_tail" },
	{ 0xad4c8341, "rhashtable_destroy" },
	{ 0xa93666f, "down_read" },
	{ 0x11cac674, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x10455ce4, "rhashtable_insert_slow" },
	{ 0xe95c07a5, "rt_read_lock" },
	{ 0x654f390f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x18386278, "ipv4_mtu" },
	{ 0xbbbc6c1, "neigh_destroy" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4d0c66b3, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x667475dc, "rt_read_unlock" },
	{ 0x6c5a5b84, "remove_proc_entry" },
	{ 0xaea517b3, "nf_ct_acct_add" },
	{ 0x83a5ab99, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf843b23a, "dst_release" },
	{ 0x39fe4c0, "nf_ct_l4proto_find" },
	{ 0xe7e43548, "seq_puts" },
	{ 0x98d3cf93, "rhashtable_walk_next" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0xd42f7687, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xe5a442b5, "up_read" },
	{ 0xc3f5666e, "rhashtable_walk_exit" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "33366E55CBF7996D76C9342");
MODULE_INFO(rhelversion, "9.5");
