#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x18d803d4, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x2ac0b920, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x3a600336, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x0492ed39, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x748e9121, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xa0b99220, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xa4b2b0e1, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x56a8a564, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x46e2cb3e, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x267d1a9d, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xf24a199c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2330b2a, "register_pernet_subsys" },
	{ 0x83a5ab99, "seq_printf" },
	{ 0xe7e43548, "seq_puts" },
	{ 0x9298e96a, "unregister_pernet_subsys" },
	{ 0xd91481af, "nf_register_net_hooks" },
	{ 0x91fceb16, "nf_unregister_net_hooks" },
	{ 0x823d1257, "skb_ensure_writable" },
	{ 0x4d0c66b3, "inet_proto_csum_replace4" },
	{ 0xed300185, "ip_route_me_harder" },
	{ 0xdf0b7ae9, "ip_local_out" },
	{ 0x748f69f0, "kfree_skb_reason" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xa29ae716, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd6981a19, "xfrm_lookup" },
	{ 0x7ce57abf, "ip6_local_out" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xf2e1d8c9, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6c5a5b84, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xbf096701, "nf_ct_tmpl_alloc" },
	{ 0xcc442a9e, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa91dab2e, "proc_create_net_data" },
	{ 0x9f04c4e4, "nf_ct_tmpl_free" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xc4e9a9f5, "__alloc_skb" },
	{ 0xc373fa93, "skb_put" },
	{ 0xe1fe77ac, "ipv6_skip_exthdr" },
	{ 0xc44fb653, "nf_ct_seqadj_init" },
	{ 0x95469155, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "246D577FD42568BDE6679A3");
MODULE_INFO(rhelversion, "9.5");
