#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x6fa0f219, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x4a88ac92, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xb60c4978, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x867b986c, "");
SYMBOL_CRC(gss_mech_put, 0xaa57f47f, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xc3e9e0cd, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xe26de8fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x106b851f, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x464ee625, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x25b86ec7, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x95eef0dd, "xdr_buf_from_iov" },
	{ 0x39f44e57, "bpf_trace_run4" },
	{ 0x75930142, "xdr_stream_decode_opaque_auth" },
	{ 0x2730b62d, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa8310d46, "xdr_write_pages" },
	{ 0x10da1705, "rpc_shutdown_client" },
	{ 0x6fe50c45, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6ed79a74, "xdr_inline_decode" },
	{ 0x7b941715, "cache_create_net" },
	{ 0x62186b2b, "rpcauth_destroy_credcache" },
	{ 0x167a1068, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8411ebf7, "bpf_trace_run6" },
	{ 0xb0605bac, "rpc_net_ns" },
	{ 0x2874935, "read_bytes_from_xdr_buf" },
	{ 0xe8dd1d31, "rt_mutex_base_init" },
	{ 0x8719628f, "finish_wait" },
	{ 0x85d4893a, "rpc_wake_up" },
	{ 0xbc8b4588, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xd385d4e, "sunrpc_cache_lookup_rcu" },
	{ 0x6fffb64c, "prepare_to_wait" },
	{ 0xcdd48a41, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4144767d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x6db77c28, "__put_devmap_managed_page_refs" },
	{ 0x301f29eb, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xfe2d1b24, "bpf_trace_run2" },
	{ 0xa42068bd, "prepare_to_wait_event" },
	{ 0xaa860dbe, "xdr_truncate_decode" },
	{ 0x40bbc81e, "rpcauth_unregister" },
	{ 0x59300f86, "event_triggers_call" },
	{ 0x6bca4569, "__wake_up" },
	{ 0x65b46ea9, "__xdr_commit_encode" },
	{ 0x33831261, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfd46d524, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb31a3f9, "__put_cred" },
	{ 0xe2330b2a, "register_pernet_subsys" },
	{ 0x8414a7c2, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7ba0807, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x300390ae, "rpc_release_client" },
	{ 0x9eeb3d1d, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6517ff72, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e693962, "svc_auth_register" },
	{ 0xa737b40a, "xdr_stream_encode_opaque_auth" },
	{ 0xca660072, "trace_event_ignore_this_pid" },
	{ 0x64407576, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xa6cf5752, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x81c17e43, "__free_pages" },
	{ 0x89efb45f, "rpc_pipe_generic_upcall" },
	{ 0xefffd898, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xcdd48ebc, "cache_unregister_net" },
	{ 0xf390ee8d, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x3112663, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe7afed42, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x6a3e4db3, "rpcauth_init_credcache" },
	{ 0xdf512533, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xb09ab609, "xdr_init_decode" },
	{ 0x9d0edb69, "mutex_lock" },
	{ 0xdecdaa9d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xbed8edfc, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfbe28f5c, "rpc_sleep_on_timeout" },
	{ 0xbbbf02ad, "rpc_create" },
	{ 0xf4d67b44, "bpf_trace_run1" },
	{ 0x201d05ac, "rpc_call_sync" },
	{ 0xae8202ed, "from_kuid" },
	{ 0x9298e96a, "unregister_pernet_subsys" },
	{ 0xb0a4ccdb, "rpc_queue_upcall" },
	{ 0xd54a2020, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xff777530, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9b6a885a, "svcauth_unix_set_client" },
	{ 0xed79be0e, "xdr_buf_subsegment" },
	{ 0xe35608b0, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x21a05e0d, "make_kgid" },
	{ 0xbb5229e5, "rt_spin_unlock" },
	{ 0xa780e292, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9ab1830f, "rt_spin_lock" },
	{ 0x523af221, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46fcc1a3, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8a01fe3c, "bpf_trace_run3" },
	{ 0xeea2f4ff, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2950e9be, "rpc_mkpipe_dentry" },
	{ 0xc1770e43, "rpc_mkpipe_data" },
	{ 0x978f27c8, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb35fe669, "trace_event_buffer_reserve" },
	{ 0x5bf4c82f, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x75e06212, "cache_register_net" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xb181ccc1, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x942b7bdc, "xdr_inline_pages" },
	{ 0x3efd4350, "__folio_put" },
	{ 0x6c5a5b84, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xac70fd7c, "rpc_init_wait_queue" },
	{ 0x88a0e89f, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x502a0d20, "rpc_unlink" },
	{ 0x4ad16210, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xf68875a6, "from_kuid_munged" },
	{ 0x61b6df21, "kmalloc_trace" },
	{ 0xc3afa08, "rpcauth_init_cred" },
	{ 0x476d4058, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4593a2d, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x4237d5bd, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x84557091, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd66b9874, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x6df0a78e, "sunrpc_cache_update" },
	{ 0x7736748c, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5b1654be, "rpc_destroy_wait_queue" },
	{ 0xd11b7064, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4294e9b5, "auth_domain_put" },
	{ 0x406fd270, "rpcauth_unwrap_resp_decode" },
	{ 0x3d0aae63, "rpcauth_register" },
	{ 0x32c274f7, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "06489F61E5DAADEB634AA6A");
MODULE_INFO(rhelversion, "9.5");
